stralloc_catm(3)

NAME
stralloc_catm - append string(s) to a stralloc

SYNTAX
#include <libowfat/stralloc.h>

int stralloc_catm(stralloc* sa,const char* s, ...);

DESCRIPTION
stralloc_catm appends \0-terminated strings from s... to the end of the string stored in sa, allocating space if necessary, and returns 1. If sa is unallocated, stralloc_catm is the same as stralloc_copym.

If it runs out of memory, stralloc_catm returns 0. At that point, it may already have copied a few of the strings to sa.

RETURN VALUE
1 for success, 0 on memory allocation failure.

SEE ALSO
stralloc_copym(3)